------------------------------------------------------------------------------------
--Name:  	ValentineDay10
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-02-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(134, 138)
CppScriptMgr:SetViewScale(120)
CppScriptMgr:WaitMilSec(1240)
CppScriptMgr:NpcCallOut("This is the beautiful Swan Lake, where I grew up since I was little.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Princess Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(1220)
local effect_0 = CppScriptMgr:AddEffect("DoubleDance-999", 128, 144, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local effect_1 = CppScriptMgr:AddEffect("DoubleDance-999", 137, 150, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
local effect_2 = CppScriptMgr:AddEffect("DoubleDance-999", 131, 132, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
local effect_3 = CppScriptMgr:AddEffect("DoubleDance-999", 141, 132, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
local effect_4 = CppScriptMgr:AddEffect("DoubleDance-999", 125, 114, 33, 1, 1, 1)
effect_4:Scale(2, 2, 2)
local effect_5 = CppScriptMgr:AddEffect("DoubleDance-999", 114, 137, 33, 1, 1, 1)
effect_5:Scale(2, 2, 2)
local effect_6 = CppScriptMgr:AddEffect("DoubleDance-999", 117, 128, 33, 1, 1, 1)
effect_6:Scale(2, 2, 2)
local effect_7 = CppScriptMgr:AddEffect("DoubleDance-999", 137, 163, 33, 1, 1, 1)
effect_7:Scale(2, 2, 2)
local effect_8 = CppScriptMgr:AddEffect("DoubleDance-999", 159, 149, 33, 1, 1, 1)
effect_8:Scale(2, 2, 2)
local effect_9 = CppScriptMgr:AddEffect("DoubleDance-999", 147, 161, 33, 1, 1, 1)
effect_9:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1390)
CppScriptMgr:NpcCallOut("Every spring, when Swan Lake is vibrant, swans will gather here, transforming into human form and searching for true love.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Princess Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(80)
local Player_1 = CppScriptMgr:AddSimplePlayer(1060235, 128, 144, "", 0, 0)
local Player_2 = CppScriptMgr:AddSimplePlayer(1065490, 137, 150, "", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1062410, 134, 124, "", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1053040, 141, 132, "", 0, 0)
local Player_5 = CppScriptMgr:AddSimplePlayer(1062427, 125, 114, "", 0, 0)
local Player_6 = CppScriptMgr:AddSimplePlayer(1064166, 114, 139, "", 0, 0)
Player_6:SetDir(6)
local Player_7 = CppScriptMgr:AddSimplePlayer(1064187, 117, 128, "", 0, 0)
local Player_8 = CppScriptMgr:AddSimplePlayer(1063993, 137, 163, "", 0, 0)
Player_8:SetDir(4)
Player_1:SetZoomPercent(200)
Player_2:SetZoomPercent(200)
Player_3:SetZoomPercent(200)
Player_4:SetZoomPercent(200)
Player_5:SetZoomPercent(200)
Player_6:SetZoomPercent(200)
Player_7:SetZoomPercent(200)
Player_8:SetZoomPercent(200)
local Player_9 = CppScriptMgr:AddSimplePlayer(1065283, 159, 149, "", 0, 0)
Player_9:SetDir(4)
local Player_10 = CppScriptMgr:AddSimplePlayer(1053033, 147, 161, "", 0, 0)
Player_10:SetDir(4)
Player_1:SetDir(5)
Player_9:SetZoomPercent(200)
Player_10:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(2970)
Player_1:WalkTo(133, 139)
Player_4:WalkTo(135, 137)
CppScriptMgr:WaitMilSec(1990)
local Effect_1 = CppScriptMgr:AddEffect("scene_app", 133, 139, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(770)
Player_1:SetAction(1111)
Player_2:SetAction(1111)
Player_3:SetAction(1111)
Player_4:SetAction(1111)
Player_5:SetAction(1111)
Player_6:SetAction(1111)
Player_7:SetAction(1111)
Player_8:SetAction(1111)
Player_9:SetAction(1111)
Player_10:SetAction(1111)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("The swans dance on the lake, waiting for the arrival of love.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Princess Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(5210)